Bug 241455 - gnome-cd logs an error every second about being unable to open the CD
Summary: gnome-cd logs an error every second about being unable to open the CD
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-26 01:58 UTC by Bill Nottingham
Modified: 2014-03-17 03:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 17:27:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-05-26 01:58:47 UTC
Description of problem:

Normal box.

brw-rw----+ 1 foo disk 11, 0 2007-05-25 17:12 /dev/scd0

foo is logged in.

I start gnome-cd - no CD in the drive.

The display shows 'drive error', and on the console, every second, is printed:

** (gnome-cd:6263): WARNING **: ERROR: Could not open CD device for reading.

Shouldn't it say something more useful, like 'drive empty'?

Version-Release number of selected component (if applicable):

gnome-media-2.18.0-3.fc7

Comment 1 Bastien Nocera 2007-08-20 14:14:18 UTC
Could you please run gnome-cd with "--g-fatal-warnings" and gather a backtrace
from the crash?

Comment 2 Bill Nottingham 2007-08-29 17:02:41 UTC
Actually, in rawhide this seems to work correctly - it just prints 'no disc',
albeit with some noise to stdout.

Comment 3 Bastien Nocera 2007-08-29 17:27:34 UTC
Goodie! Closing.


Note You need to log in before you can comment on or make changes to this bug.